#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>


#include "about.h"

void create_about_window (void)
{
    GtkWidget *about_window;
    GtkWidget *about_label;    
    GtkWidget *about_vbox;
    GtkWidget *about_hbox;
    GtkWidget *about_frame;
    GtkWidget *about_pixmap;
    GtkWidget *about_button;
    GdkPixmap *pixmap;
    GdkBitmap *mask;
    
    char pixmap_path[1024];
    char buf[128];


    GtkWidget *alert_vbox1;
    GtkWidget *alert_hbox;
    GtkWidget *alert_button;
    GtkWidget *igloo_pixmap;

    char author_buf[128];
    char *ptr;


        //  creation de la fenetre
    sprintf(buf,"About %s",BOYCOTT_NAME);
    about_window = gtk_window_new (GTK_WINDOW_DIALOG);
    gtk_window_position (GTK_WINDOW (about_window), GTK_WIN_POS_CENTER);
    gtk_window_set_title (GTK_WINDOW (about_window), buf);

        // creation de la frame
    about_frame = gtk_frame_new (NULL);
    gtk_container_add (GTK_CONTAINER (about_window), about_frame);

        // creation de la hbox
    about_hbox=gtk_hbox_new(FALSE,10);
    gtk_container_border_width (GTK_CONTAINER (about_hbox), 20);
    gtk_container_add (GTK_CONTAINER (about_frame), about_hbox);
    
        // creation de la vbox
    about_vbox=gtk_vbox_new(FALSE,5);
    gtk_box_pack_start (GTK_BOX (about_hbox), about_vbox,TRUE,FALSE,0);
    
    
        // creation des labels
    sprintf(buf,"%s",BOYCOTT_NAME);
    about_label=gtk_label_new(buf);
    gtk_box_pack_start (GTK_BOX (about_vbox), about_label, FALSE, FALSE, 0);

    sprintf(buf,"Version %s",BOYCOTT_VER);
    about_label= gtk_label_new(buf);
    gtk_box_pack_start (GTK_BOX (about_vbox), about_label, FALSE, FALSE, 0);

        // creation de l icone
    sprintf (pixmap_path, "boycott.xpm");
    gtk_widget_realize (about_window);
    pixmap = gdk_pixmap_create_from_xpm (about_window->window,
                                         &mask,
                                         &about_window->style->bg[GTK_STATE_NORMAL],
                                         pixmap_path);
    about_pixmap = gtk_pixmap_new (pixmap, mask);
    gtk_box_pack_start (GTK_BOX (about_vbox), about_pixmap, FALSE, FALSE, 0);

        // encore des labels
    sprintf(buf,"By Gollum (frelat@iie.cnam.fr)");
    about_label= gtk_label_new(buf);
    gtk_box_pack_start (GTK_BOX (about_vbox), about_label, FALSE, FALSE, 0);

    sprintf(buf,"Gtk Version By Ellis (laurent_mallet@hotmail.com)");
    about_label= gtk_label_new(buf);
    gtk_box_pack_start (GTK_BOX (about_vbox), about_label, FALSE, FALSE, 0);

        // le bouton
    about_button = gtk_button_new_with_label("Close");
    gtk_signal_connect_object(GTK_OBJECT(about_button),"clicked",
                              GTK_SIGNAL_FUNC(gtk_widget_destroy),
                              GTK_OBJECT(about_window));
    gtk_box_pack_start (GTK_BOX (about_vbox), about_button, FALSE, FALSE, 0);

        // on affiche tout
    gtk_widget_show_all (about_window);

}
