#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "inter_erreur.h"
#include "file_b.h"
#include "about.h"
#include "datas.h"

int is_rom_charge=0;
extern GtkWidget *window;
extern char *RealName;
extern int key[];




void file_ok_sel(GtkWidget *fs)
{
    if(is_rom_charge!=0){
        key[K_ESC]=1;
    }
    int load_rom_erreur;
    load_rom_erreur=GB_Load_Rom(gtk_file_selection_get_filename(GTK_FILE_SELECTION(fs)));
    gtk_widget_destroy(fs);
    if(load_rom_erreur==0){
        Inter_setErreur(INTER_ERREUR_PB_LOAD_ROM);
    }
    else{
        is_rom_charge=1;
        char *buf=new char[256];
        sprintf(buf,"%s - %s",BOYCOTT_NAME,RealName);
        gtk_window_set_title(GTK_WINDOW(window),buf);
    } 
}



void load_rom()
{
    GtkWidget *file_select;
    file_select=gtk_file_selection_new("Choose a ROM");
    gtk_file_selection_complete(GTK_FILE_SELECTION(file_select),"*.gb");
        // le bouton quit pour la fin de selection
    gtk_signal_connect_object(GTK_OBJECT(file_select),"destroy",
                              GTK_SIGNAL_FUNC(gtk_widget_destroy),GTK_OBJECT(file_select));
        // le bouton ok
    gtk_signal_connect_object(GTK_OBJECT(GTK_FILE_SELECTION(file_select)->ok_button),
                              "clicked",
                              GTK_SIGNAL_FUNC(file_ok_sel),
                              GTK_OBJECT(file_select));
        // le bouton cancel
    gtk_signal_connect_object(GTK_OBJECT(GTK_FILE_SELECTION(file_select)->cancel_button),
                              "clicked",
                              GTK_SIGNAL_FUNC(gtk_widget_destroy),GTK_OBJECT(file_select));
                              
    gtk_widget_show_all (file_select);
    
}
